#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		locver	4.0
#-----------------------------------------------------------------------------
Name		:	bcunit
Version		:	5.2.0
Release		:	14.4.0.0%{?dist}
Summary		:	A unit testing framework for 'C'
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/BelledonneCommunications/bcunit

Source0		:	%{name}-%{version}.tar.gz


#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake

#-----------------------------------------------------------------------------
%description
BCUnit is a unit testing framework for C.
This package installs the BCUnit static library,
headers, and documentation files.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.1*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/BCUnit/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/BCUnit/*
%{_datadir}/BCunit/cmake/*.cmake
%{_defaultdocdir}/%{name}-%{version}/*.html
%{_defaultdocdir}/%{name}-%{version}/*.css
%{_defaultdocdir}/%{name}-%{version}/headers/*.h
%{_mandir}/man3/BCUnit.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B bld						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_DOCDIR=%{_defaultdocdir}	\
	-D ENABLE_AUTOMATED=yes				\
	-D ENABLE_BASIC=yes				\
	-D ENABLE_CONSOLE=yes				\
	-D ENABLE_CURSES=OFF				\
	-D ENABLE_DOC=ON				\
	-D ENABLE_EXAMPLES=OFF				\
	-D ENABLE_STATIC=OFF				\
	-D ENABLE_TEST=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	-C bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C bld						\
	DESTDIR=%{buildroot}				\
	install

#moving doc
%{__mv}							\
	%{buildroot}%{_defaultdocdir}/BCUnit		\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
